KJL - Feature #2594

DOC TYPE SETTING
02/19/2024 12:34 PM - jihad ...

Status: Closed Start date: 02/19/2024

Priority: High Due date: 02/23/2024

Assignee: jihad .... % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

Mba Yoma,

ingin disetting tampilan tab berdasarkan doctype, udah aku buat dan isi juga doctype di PCMBSTRANSLIST

(AL T S N S A L e 1IN OVAIS-SERVE.. PCMEPMODULETYPE 2 -
TransType DocType TableMName Title Sequence LayoutType CustomLayout Motes CreateBy ™
PRD PROD PTRPRODIMNSPECTIOM1 Extruder Inspec.. 4 LOoO7 LO0=Ferm Onl.. minovais
PRD PROD PTRPRODINSPECTION2 Flexible Inspecti.. 5 Loo7 L001=Ferm Onl.. minovais
PRD PROD PTRPRODINSPECTIOM3 Wrapping Inspe.. & LOO7 L0 =Ferm Onl.. minovais
PRD PROD PTRPRODIMNSPECTIOMS U-5Shape Inspec.. 7 LOO7 L0 =Ferm Onl.. minovais
PRD PROD PTRPRODUCTIONGENERALCO... Other Cost 3 LOO7 L001=Ferm Onl... minovais
PRD PROD PTRPRODUCTIONITEM Material 1 Loo7 L001=Ferm Onl... minovais
PRD PROD PTRPRODUCTIONLABORS Resources 2 LOOT LO01=Form Onl... minovais
PRD PROC PTRPRODCOA COA ] Loo7 LO01=Ferm Onl... minovais
PRD PRQC PTRPRODINSPECTION1T Extruder Inspec... 4 Loo7 LO0=Ferm Onl... minovais
PRD PROC PTRPRODIMNSPECTIOMN2 Flexible Inspecti... 3 LOO7 LO01=Ferm Onl... minovais
PRD PRQC PTRPRODIMNSPECTIOM3 Wrapping Inspe... & Loo7 LO01=Ferm Onl... minovais
PRD PROC PTRPRODIMNSPECTIOMS U-Shape Inspec.. 7 Loo7 LO0=Ferm Onl... minovais
PRD PRQC PTRPRODUCTIOMNGEMERALCO... Other Cost 3 Loo7 LO0=Ferm Onl... minovais

Terima kasih

History

#1 - 02/19/2024 03:24 PM - Kezia Pawitra Yulianti
- Due date set to 02/23/2024
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 02/20/2024 10:10 AM - Tri Rizqiaty

- File clipboard-202402201010-dxawx.png added
- File MinovaXtype.js added

- Status changed from Assigned to Developing
Fixing :

Update folder Ul\scripts\MinovaXtype.js
17850 E] initComwponent: function () {
17951 rar me = this;
17952 var documentType = me.docType:
17953 var transactionType = me.transType:
17554 rar hasil = null:
17955 rar _items = []:
173956 var formimage = undefined:
17857 E] Ext.ijax.regquest{{
173958 async: false,
17959 method: 'FPOET',
173960 url: '/UsertControl/GetStore',
17961 E] params: {
17962 tableMName: 'PCHESTRANZLIST'
17863 param: 'TransTyps[=]' + me.transTypel+ ', + 'DocTlype[=]' + me.docType /¢ add Tri nwh 20240220
17964 ¥,
17965 B success: function {(response) {
17966 var results = Ext.decode{response.responseText);
17367 hasil = results.data;
17965 }
17969 1
17870 hazil = hasil.sort{Minovaltil.3JortBy{ "Sequsnce")) ;|
17971 if (hasil.length > 0} {
17972 Ext.each{hasil, function {(rec) {
17873 if{rec. TabhleNawe=="FTRFRODUCTIONHE D™} {
17974 rec.LabelName=rec. Title;
[Find result - [4 hits)

Search "PCMBSTRAHSLIST" (4 hits in 1 file of 1 searched)
E:\APP\EKJL\UI\scripts\MinovaXtype.js (4 hits)

Line 17982: tableNamwe: 'PCHESTRANSLIST!,
Line 18946: tableMame: "PCMESTRANILISTY,
Line 19971: tableNawe: "PCHESTRANSLIST',
Line 22373: tableMawe: 'FCHESTRANILIST',

[+/Search "url: 'fUserControlfGetStore'," (246 hits in 1 file of 1 searched)

[+/Search "PCMBSTRANSLIST" (4 hitg in 1 file of 1 searched)

[+/Search "GetReferenceDoc" {2 hits in 1 file of 1 searched}

#3 - 02/20/2024 10:11 AM - Tri Rizgiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to jihad ....

#4 - 02/20/2024 10:43 AM - jihad ....
- Status changed from QA Test to Closed

sudah aman mba, terima kasih

Files

clipboard-202402191233-ckdtg.png 49.8 KB 02/19/2024 jihad ....

clipboard-202402201010-dxawx.png 28.8 KB 02/20/2024 Tri Rizqgiaty

MinovaXtype.js 1.4 MB 02/20/2024 Tri Rizqiaty
